# GLMinimals

Very minimal Xcode projects for OpenGL apps (both OSX and iOS).

## Motivation

I wanted a unified framework for OpenGL on both OSX and iOS without to much of a hassle (less is more). Just to play around easily and to see what the differences are between OSX and iOS. However, the sample code "GLEssentials" provided by Apple was very outdated, so I modernized it.

## Changes include:

* Converted to ARC
* Usage of obj-c modules
* Usage of GLKit (instead of doing everything by hand with EAGLayers and the like)
* Removed their basic glUtils (as such functionality is in GLKit anyways)
* Restructered project and a lot of simplifications
* Retina is supported by default
* Single project file with two targets (OSX and iOS)

## Where to plug in

Just change Game.h and Game.mm to whatever you like. Note that everything in there is hardcoded and should not be regarded as example code.

If you need any third party libraries, just add them in the Podfile and run ```pod install```. An Xcode workspace will be generated, and you will be good to go.